Bug 1473720 - (CVE-2017-11465) CVE-2017-11465 ruby: Invalid read/write in parser_yyerror function in UTF-8 parser
CVE-2017-11465 ruby: Invalid read/write in parser_yyerror function in UTF-8 p...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170713,reported=2...
: Security
Depends On: 1473721
Blocks: 1473724
  Show dependency treegraph
 
Reported: 2017-07-21 09:46 EDT by Adam Mariš
Modified: 2017-08-22 09:41 EDT (History)
30 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-22 09:40:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-07-21 09:46:58 EDT
The parser_yyerror function in the UTF-8 parser in Ruby 2.4.1 allows attackers to cause a denial of service (invalid write or read) or possibly have unspecified other impact via a crafted Ruby script, related to the parser_tokadd_utf8 function in parse.y. NOTE: this might have security relevance as a bypass of a $SAFE protection mechanism.

Upstream bug:

https://bugs.ruby-lang.org/issues/13742
Comment 1 Adam Mariš 2017-07-21 09:47:34 EDT
Created ruby tracking bugs for this issue:

Affects: fedora-all [bug 1473721]
Comment 2 Vít Ondruch 2017-07-24 05:07:17 EDT
This is not vulnerability according to upstream [1]:

~~~
Note that this is not a vulnerability.
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-11465 is invalid.
~~~

[1] https://bugs.ruby-lang.org/issues/13742#note-3
Comment 4 Stefan Cornelius 2017-07-25 06:01:09 EDT
Lowering impact because this is disputed upstream. Unfortunately, I've not been able to reproduce this issue myself yet, so I can't say if the dispute is correct.
Comment 5 Stefan Cornelius 2017-08-22 09:41:02 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Additionally, the security impact of this flaw is disputed by the upstream Ruby project.

Note You need to log in before you can comment on or make changes to this bug.